Name: librdmacm
Version: 1.0.8
Release: 1%{?dist}
Summary: Userspace RDMA Connection Manager.
Group: System Environment/Libraries
License: GPL/BSD
Url: http://www.openfabrics.org/
Source: http://www.openfabrics.org/downloads/librdmacm/%{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: libibverbs-devel >= 1.1
ExclusiveArch: i386 x86_64 ia64 ppc ppc64
%description
librdmacm provides a userspace RDMA Communication Managment API.

%package devel
Summary: Development files for the librdmacm library
Group: System Environment/Libraries
Requires: %{name} = %{version}-%{release}, libibverbs-devel >= 1.1
%description devel
Development files for the librdmacm library.

%package utils
Summary: Examples for the librdmacm library
Group: System Environment/Libraries
Requires: %{name} = %{version}-%{release}
%description utils
Example test programs for the librdmacm library.

%package static
Summary: Static version of the librdmacm library
Group: System Environment/Libraries
Requires: %{name}-devel = %{version}-%{release}
%description static
Static version of the librdmacm library.

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
# remove unpackaged files from the buildroot
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%{_libdir}/librdmacm*.so.*
%doc AUTHORS COPYING ChangeLog README

%files devel
%defattr(-,root,root)
%{_libdir}/lib*.so
%{_includedir}/*
%{_mandir}/man3/*
%{_mandir}/man7/*

%files utils
%defattr(-,root,root,-)
%{_bindir}/*
%{_mandir}/man1/*

%files static
%defattr(-,root,root,-)
%{_libdir}/*.a

%changelog
* Thu Jan 22 2009 Doug Ledford <dledford@redhat.com> - 1.0.8-1
- Update to latest upstream version
- Related: bz454778

* Tue Apr 01 2008 Doug Ledford <dledford@redhat.com> - 1.0.7-1
- Update to OFED 1.3 final version
- Related: bz441825

* Fri Jan 25 2008 Doug Ledford <dledford@redhat.com> - 1.0.5-1
- Initial import into CVS

